Loading...
Searching...
No Matches
Opm::BlackoilWellModelGasLiftGeneric< Scalar, IndexTraits > Class Template Reference

## Public Types

using | GLiftOptWells = std::map<std::string, std::unique_ptr<GasLiftSingleWellGeneric<Scalar, IndexTraits>>>
using | GLiftProdWells = std::map<std::string, const WellInterfaceGeneric<Scalar, IndexTraits>*>
using | GLiftWellStateMap = std::map<std::string, std::unique_ptr<GasLiftWellState<Scalar>>>
using | GLiftEclWells = typename GasLiftGroupInfo<Scalar, IndexTraits>::GLiftEclWells
using | GLiftSyncGroups = typename GasLiftSingleWellGeneric<Scalar, IndexTraits>::GLiftSyncGroups

## Public Member Functions

| BlackoilWellModelGasLiftGeneric (bool terminal_output)
void | gliftDebug (const std::string &msg, DeferredLogger &deferred_logger) const
bool | terminalOutput () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const BlackoilWellModelGasLiftGeneric &that) const

## Static Public Attributes

static constexpr bool | glift_debug = false

## Protected Member Functions

void | gliftDebugShowALQ (const std::vector< WellInterfaceGeneric< Scalar, IndexTraits > * > &well_container, const WellState< Scalar, IndexTraits > &wellState, DeferredLogger &deferred_logger)
void | gasLiftOptimizationStage2 (const Parallel::Communication &comm, const Schedule &schedule, const SummaryState &summaryState, WellState< Scalar, IndexTraits > &wellState, GroupState< Scalar > &groupState, GLiftProdWells &prod_wells, GLiftOptWells &glift_wells, GasLiftGroupInfo< Scalar, IndexTraits > &group_info, GLiftWellStateMap &map, const int episodeIndex, DeferredLogger &deferred_logger)

## Protected Attributes

bool | terminal_output_
double | last_glift_opt_time_ = -1.0

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelGasLift.hpp
- opm/simulators/wells/BlackoilWellModelGasLift.cpp